Bug 257110 - mail/claws-mail: update to latest 3.18.0
Summary: mail/claws-mail: update to latest 3.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-11 14:43 UTC by bsd
Modified: 2021-07-14 08:38 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
mail/claws-mail update patch (736 bytes, text/plain)
2021-07-11 14:43 UTC, bsd
no flags Details
Plugin port revision patch (273 bytes, text/plain)
2021-07-11 14:48 UTC, bsd
no flags Details
mail/claws-mail-plugins update patch (315 bytes, patch)
2021-07-11 15:19 UTC, bsd
no flags Details | Diff
complete git diff for mail/claws-mail (2.64 KB, patch)
2021-07-12 23:00 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2021-07-11 14:43:38 UTC
Created attachment 226368 [details]
mail/claws-mail update patch

New version released yesterday, just simple patch needed for port update
Comment 1 bsd 2021-07-11 14:48:21 UTC
Created attachment 226369 [details]
Plugin port revision patch

At the same time, pdf_viewer plugin port revision should be reset.
Comment 2 bsd 2021-07-11 14:52:27 UTC
10th July 2021                              Claws Mail 3.18.0 / 4.0.0
Release notes for new version, this patch handles just update to 3.18.0...

		    CLAWS MAIL  RELEASE NOTES
                    http://www.claws-mail.org

Claws Mail is a GTK+ based, user-friendly, lightweight, and fast 
email client.

Version 4.0.0 is the initial GTK+ 3 release.
Version 3.18.0 is the GTK+ 2 release.

Notes for this release:
~~~~~~~~~~~~~~~~~~~~~~~

If you are upgrading from the GTK+ 2 version to the GTK+ 3 version of
Claws Mail, you will need to reload any plugins that you want to use.

New in this release:
~~~~~~~~~~~~~~~~~~~~

* Support for the OAuth2 authorisation protocol has been added for
  IMAP, POP and SMTP using custom, user-generated client IDs.

  OAuth2 preferences are found in the Account Preferences on the
  Receive page (for POP: Authenticate before POP connection, for
  IMAP: Authentication method); the Send page (SMTP authentication:
  Authentication method); and on a dedicated OAuth2 page.

* The option 'Save (X-)Face in address book if possible' has been
  added to the /Message View/Text Options preferences page.
  Previously the (X-)Face would be saved automatically, therefore
  this option is turned on by default.

* The Image Viewer has been reworked. New options have been added to
  /Message View/Image Viewer: when resizing images, either fit the
  image width or fit the image height to the available space.
  Fitting the image height is the default. Regardless of this
  setting, when displaying images inline they will fit the height.

  When displaying an image, left-clicking the image will toggle
  between full size and reduced size; right-clicking will toggle
  between fitting the height and fitting the width.

* When re-editing a saved message, it is now possible to use
  /Options/Remove References.

* It is now possible to attempt to retrieve a missing GPG key via
  WKD.

* The man page has been updated.

* Updated translations: Brazilian Portuguese, British English,
  Catalan, Czech, Danish, Dutch, French, Polish, Romanian, Russian,
  Slovak, Spanish, Traditional Chinese, Turkish.

* bug fixes:
	o bug 2411, 'quicksearch_history content partially written to
		     stdout'
	o bug 4326, 'Xft.dpi != 96 messes with text display in
		     litehtml viewer'
	o bug 4394, 'folder processing runs on startup even if all
		     rules are disabled'
	o bug 4431, 'folder chmod doesn't affect .claws_mark and
		     .claws_cache files'
	o bug 4445, 'Draft folder on shared storage does not honour
		     chmod settings'
	o bug 4447, '--enable-deprecated and --disable-deprecated
		     build flags have same effect'
	o bug 4455, 'Potential memory leak in string_table_new()'
	o bug 4473, 'segmentation fault opening Libravatar config'
	o stop WM's X button from causing GPG key fetch attempt
	o Make fancy respect default font size for messageview
	o harden link checker before accepting click
	o non-display of (X-)Face when prefs_common.enable_avatars
	  is AVATARS_ENABLE_RENDER (2)
	o debian bug #983778, 'Segfault on selecting empty 'X-Face'
	  custom header'

For further details of the numbered bugs and RFEs listed above
see https://www.claws-mail.org/bug/[BUG NUMBER]

---------------------------------------------------------------------
See ChangeLog for full information regarding changes in this release.
Comment 3 bsd 2021-07-11 15:00:02 UTC
Regarding plugins, after updating port with proposed patch, I built a number of plugin ports as well and tested in daily run some I use regularly. Plugins used in my installation are

mail/claws-mail-litehtml_viewer
mail/claws-mail-notification
mail/claws-mail-pdf_viewer
mail/claws-mail-pgp
mail/claws-mail-tnef_parse

Plugins built, loaded for test but not loaded in daily usage are

mail/claws-mail-address_keeper
mail/claws-mail-archive
mail/claws-mail-att_remover
mail/claws-mail-attachwarner
mail/claws-mail-dillo
mail/claws-mail-fetchinfo
mail/claws-mail-libravatar
mail/claws-mail-mailmbox
mail/claws-mail-managesieve
mail/claws-mail-newmail
mail/claws-mail-perl
mail/claws-mail-rssyl
mail/claws-mail-spam_report
mail/claws-mail-vcalendar

Remaining plugins require additional dependencies I do not have installed on my system and do not intend to install.
Comment 4 bsd 2021-07-11 15:19:13 UTC
Created attachment 226370 [details]
mail/claws-mail-plugins update patch

Also, plugins metaport should be updated at the same time...
Comment 5 Chris Hutchinson 2021-07-11 17:34:31 UTC
(In reply to bsd from comment #4)
HUGE thanks for all your work here!
I had hoped to have already tended to this
myself. But I got stuck on a glib20 problem
(another pr(1)). So was interrupted. Everything
LGTM. But I'll need to test locally before signing
off (shouldn't be any later than Tuesday).

Thanks again. Nice job! :-)

--Chris
Comment 6 Chris Hutchinson 2021-07-12 23:00:15 UTC
Created attachment 226412 [details]
complete git diff for mail/claws-mail

OK this turned out to be a real PITA. Not because of
your work, Milan. But because of failures of dependencies
to build correctly. Which required me to determine their
reason(s) for failure, file a pr(1). Then continue to test
the changes for claws-mail. :P
Well after I was able to get everything to build/work as
intended, I found I needed to tweak (add to) your submitted
patches.
Given that the patches are inter-dependent, I've consolidated
the work into one git diff (attached).
Everything checks OK for FreeBSD 12/13 (amd64).

Changes
mail/claws-mail/Makefile
mail/claws-mail/distinfo
mail/claws-mail/pkg-plist
mail/claws-mail-plugins/Makefile
mail/claws-mail-pdf_viewer/Makefile

Initial work by: Milan Obuch
Additions: Chris Hutchinson (Maintainer)

Please commit.

Thanks!

--Chris
Comment 7 Chris Hutchinson 2021-07-12 23:01:00 UTC
Comment on attachment 226370 [details]
mail/claws-mail-plugins update patch

Use updated patch
Comment 8 Chris Hutchinson 2021-07-12 23:01:51 UTC
Comment on attachment 226370 [details]
mail/claws-mail-plugins update patch

Use updated single patch I submitted instead.
Comment 9 Chris Hutchinson 2021-07-12 23:02:46 UTC
Comment on attachment 226368 [details]
mail/claws-mail update patch

Use updated single patch that I submitted instead.
Comment 10 Chris Hutchinson 2021-07-12 23:04:48 UTC
patch, patch-ready, dogfood
Comment 11 commit-hook freebsd_committer 2021-07-14 08:37:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=108b9151fac540a3a654f963a6cc640944846981

commit 108b9151fac540a3a654f963a6cc640944846981
Author:     Chris Hutchinson <portmaster@bsdforge.com>
AuthorDate: 2021-07-14 07:36:57 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-14 08:37:37 +0000

    mail/claws-mail: update to latest 3.18.0

    New in this release:
    ~~~~~~~~~~~~~~~~~~~~

    * Support for the OAuth2 authorisation protocol has been added for
      IMAP, POP and SMTP using custom, user-generated client IDs.

      OAuth2 preferences are found in the Account Preferences on the
      Receive page (for POP: Authenticate before POP connection, for
      IMAP: Authentication method); the Send page (SMTP authentication:
      Authentication method); and on a dedicated OAuth2 page.

    * The option 'Save (X-)Face in address book if possible' has been
      added to the /Message View/Text Options preferences page.
      Previously the (X-)Face would be saved automatically, therefore
      this option is turned on by default.

    * The Image Viewer has been reworked. New options have been added to
      /Message View/Image Viewer: when resizing images, either fit the
      image width or fit the image height to the available space.
      Fitting the image height is the default. Regardless of this
      setting, when displaying images inline they will fit the height.

      When displaying an image, left-clicking the image will toggle
      between full size and reduced size; right-clicking will toggle
      between fitting the height and fitting the width.

    * When re-editing a saved message, it is now possible to use
      /Options/Remove References.

    * It is now possible to attempt to retrieve a missing GPG key via
      WKD.

    * The man page has been updated.

    * Updated translations: Brazilian Portuguese, British English,
      Catalan, Czech, Danish, Dutch, French, Polish, Romanian, Russian,
      Slovak, Spanish, Traditional Chinese, Turkish.

    * bug fixes

    See https://www.claws-mail.org/news.php for more details.

    PR:             257110
    Reported by:    bsd@dino.sk

 mail/claws-mail-pdf_viewer/Makefile | 1 -
 mail/claws-mail-plugins/Makefile    | 2 +-
 mail/claws-mail/Makefile            | 1 +
 mail/claws-mail/Makefile.claws      | 2 +-
 mail/claws-mail/distinfo            | 7 ++++---
 mail/claws-mail/pkg-plist           | 1 +
 6 files changed, 8 insertions(+), 6 deletions(-)
Comment 12 Tobias C. Berner freebsd_committer 2021-07-14 08:38:12 UTC
Committed. Thanks.